=== modified file 'bzrlib/shellcomplete.py'
--- bzrlib/shellcomplete.py	2009-06-15 11:05:33 +0000
+++ bzrlib/shellcomplete.py	2009-11-02 22:24:29 +0000
@@ -47,9 +47,10 @@
 
 def shellcomplete_on_options(options, outfile=None):
     for opt in options:
-        if opt.short_name:
+        short_name = opt.short_name()
+        if short_name:
             outfile.write('"(--%s -%s)"{--%s,-%s}\n'
-                    % (opt.name, opt.short_name(), opt.name, opt.short_name()))
+                    % (opt.name, short_name, opt.name, short_name))
         else:
             outfile.write('--%s\n' % opt.name)
 

